import { ComponentFixture, TestBed } from '@angular/core/testing';

import { PolicyEditFormComponent } from './policy-edit-form.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSelectModule } from '@angular/material/select';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatInputModule } from '@angular/material/input';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';

describe('PolicyEditFormComponent', () => {
  let component: PolicyEditFormComponent;
  let fixture: ComponentFixture<PolicyEditFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [PolicyEditFormComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule, ReactiveFormsModule, MatSelectModule,
        MatCheckboxModule, MatInputModule, NoopAnimationsModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PolicyEditFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
